# Get a list of users' tags

Debugging Tools

Interface should be called on the server side, not in the front end (Weixin Mini Program, web pages, APP, etc.) directly called, specific reference interface call guide

Interface English name: getTagidList

This interface is used to obtain a list of hashtags for fan users.

# 1. How to call

# HTTPS calls

POST https://api.weixin.qq.com/cgi-bin/tags/getidlist?access_token=ACCESS_TOKEN

# Cloud Calls

  • Call method: officialAccount.tags.getUserTagList

  • The input and exit parameters are the same as the HTTPS call, which can be called in the cloud call documentation

# Third party invocation

  • This interface supports Third Party Platform generation business call.

  • The permission set id to which the interface belongs is: 2,100

  • When a service provider is authorized by one of the permissions set, it can call on behalf of the merchant by using authorizer_access_token , which can be viewed in the third-party call documentation.

# 2. Request parameters

# Query parametersQuery String parameters

Parameter NametypeRequired to fill inIntroductions
access_tokenstringyesInterface invocation credentials, using access_token , authorizer_access_token

# Request BodyRequest Payload

Parameter NametypeRequired to fill inExampleIntroductions
openidstringyesocYxcuBt0mRugKZ7tGAHPnUaOW7YUser openid

# 3. Return Parameters

# Response Payload

Parameter NametypeIntroductions
tagid_listnumarrayList of users' tags
errcodenumberError code
errmsgstringError Description

# 4. Note

There are no special considerations for this interface

# 5. Code examples

Example Requests

{
  "openid" : "ocYxcuBt0mRugKZ7tGAHPnUaOW7Y"
} 

Return an example

{
  "tagid_list":[134, 2]
} 

# 6. Error code

The following is a list of error codes for this interface, other error codes can refer to General error codes

Error codeError DescriptionSolutions
40003invalid openidInvalid OpenID. Please confirm if the OpenID is following Official Account, or if it is another OpenID from the Official Account message template.
49003not match openid with appidThe incoming openid does not belong to this AppID

# 7. Scope of application

How this interface can be invoked under different account types:
Official Account Service Account
Certification only Certification only
  • Authentication only: means that only authenticated accounts are allowed to be invoked by the enterprise entity, and accounts that are not authenticated or do not support authentication cannot be invoked.
  • Other account types that are not expressly stated may not be called on this interface without special instructions;